summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-05-01 20:35:34 +0200
committerAlexis Ballier <aballier@gentoo.org>2017-05-02 11:33:27 +0200
commit8f5cdae67efe508ee59724d16f0ec5289e5c4fbf (patch)
treeab6b89542b561d045ccd90e9012de9ec50f22a4e
parentdev-ml/reason-parser: bump to 1.13.5 (diff)
downloadgentoo-8f5cdae67efe508ee59724d16f0ec5289e5c4fbf.tar.gz
gentoo-8f5cdae67efe508ee59724d16f0ec5289e5c4fbf.tar.bz2
gentoo-8f5cdae67efe508ee59724d16f0ec5289e5c4fbf.zip
dev-ml/reason: bump to 1.13.5
Package-Manager: Portage-2.3.5, Repoman-2.3.2
-rw-r--r--dev-ml/reason/Manifest1
-rw-r--r--dev-ml/reason/reason-1.13.5.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/dev-ml/reason/Manifest b/dev-ml/reason/Manifest
index 024c5f08523..e1028232c90 100644
--- a/dev-ml/reason/Manifest
+++ b/dev-ml/reason/Manifest
@@ -1,2 +1,3 @@
DIST reason-1.13.3.tar.gz 10253108 SHA256 b92840f8238dd6266c5678da3e4dc832776bcc98990ac47773020e34dce708a6 SHA512 82398fbbf72bcadfc868e5f33e8666ef80ef610f8313d08bc16593944569b7a16693fcc6397a117518bf8e32f71083f0ac4a416112f97cd220715f4293136b84 WHIRLPOOL a82dd8e28a012ed0716fba6bc79eee849110bfb42cd8221eb15847cadae90d62d909e635f3da465c6220382d6eee62f2f69a739d96d3d6a5baddc58623cd059e
DIST reason-1.13.4.tar.gz 6856260 SHA256 07b0f4a471b570b9f6ee699016d2fb9d98788d1ccfb428a2b2f20f1ee6f42b9e SHA512 ee2270ffbb3c3c818aafec2ef0f23f3741e66e5b077b3a84b49b357b003d24d639165c521bf0afe92bf81ef626ed6d863ea6d097b83a2e1b5a0349a679cc8c7f WHIRLPOOL ffc8b96ce5b653c1d78877f0422315cce3d42615b88bb6f09f52d3af9799fe30ed221094a5acbc49448f0d1e865b1702a2b5956a8d327a22b2db01eb33aa0da7
+DIST reason-1.13.5.tar.gz 6681110 SHA256 d769e15e507ae401e5f7d8e59a1c327729824dd9914d05d7fe0ee51c84afeb2f SHA512 e47836281fb36094358f746b3460ac9671782fbf51058b220f5fe2be060592db75b688c917e162345c3fdcf8822d9b7fad0483ae274a97ccf640bdd7853510a9 WHIRLPOOL 21e86a487263735af8968577f4b3dc8fb4492c9b831b24e27faf30d421e0e164342bc76661fa674c90a2bb78b911639ea12e5eb7562cb6144c6b0d414844e4fe
diff --git a/dev-ml/reason/reason-1.13.5.ebuild b/dev-ml/reason/reason-1.13.5.ebuild
new file mode 100644
index 00000000000..1ef34e4b334
--- /dev/null
+++ b/dev-ml/reason/reason-1.13.5.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Meta Language Toolchain"
+HOMEPAGE="https://github.com/facebook/reason"
+SRC_URI="https://github.com/facebook/reason/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="+ocamlopt"
+
+DEPEND="
+ dev-lang/ocaml:=[ocamlopt?]
+ dev-ml/reason-parser:=
+ dev-ml/merlin-extend:=
+ dev-ml/result:=
+ dev-ml/topkg:=
+ dev-ml/ocaml-migrate-parsetree:=
+ dev-ml/utop:=
+"
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND}
+ dev-ml/findlib
+ dev-ml/ocamlbuild
+ dev-ml/opam"
+
+src_compile() {
+ emake precompile
+ emake build
+}
+
+src_install() {
+ opam-installer -i \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ --mandir="${ED}/usr/share/man" \
+ ${PN}.install || die
+}